## GMimeFilterFrom GMimeFilterFrom — Escape MBox From_ lines |

## Functions

GMimeFilter * | g_mime_filter_from_new ()

## Types and Values

struct | GMimeFilterFrom
enum | GMimeFilterFromMode

## Description

A GMimeFilter used for escaping MBox From_ lines using either the traditional ">From " or quoted-printable encoding.

## Functions

### g_mime_filter_from_new ()

    GMimeFilter *
    g_mime_filter_from_new (GMimeFilterFromMode mode);

Creates a new GMimeFilterFrom filter. If `mode` is GMIME_FILTER_FROM_MODE_ARMOR, the from-filter will encode from lines using the quoted-printable encoding resulting in "=46rom ". Using the GMIME_FILTER_FROM_MODE_DEFAULT or GMIME_FILTER_FROM_MODE_ESCAPE mode (they are the same), from lines will be escaped to ">From ".

Note: If you plan on using a from-filter in mode ARMOR, you should remember to also use a GMimeFilterBasic filter with an encoding of GMIME_CONTENT_ENCODING_QUOTEDPRINTABLE.

#### Parameters

mode | filter mode |

#### Returns

a new from filter with mode `mode` .

## Types and Values

### struct GMimeFilterFrom

    struct GMimeFilterFrom {
    	GMimeFilter parent_object;

    	GMimeFilterFromMode mode;
    	gboolean midline;
    };

A filter for armoring or escaping lines beginning with "From ".

#### Members

GMimeFilter `parent_object`; | parent GMimeFilter |
GMimeFilterFromMode `mode`; | GMimeFilterFromMode |
gboolean `midline`; | `TRUE` if in the middle of a line |

### enum GMimeFilterFromMode

The mode for a GMimeFilterFrom filter.

#### Members

GMIME_FILTER_FROM_MODE_DEFAULT | Default mode. |
GMIME_FILTER_FROM_MODE_ESCAPE | Escape 'From ' lines with a '>' |
GMIME_FILTER_FROM_MODE_ARMOR | QP-Encode 'From ' lines |

## See Also

GMimeFilter